de.esprit.appsuite.transl

## Enum TrEasMenu

- java.lang.Object
- - java.lang.Enum<TrEasMenu>
  - - de.esprit.appsuite.transl.TrEasMenu

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEasMenu>

      public enum TrEasMenu
      extends java.lang.Enum<TrEasMenu>
      implements NlsKey

  Translations for standard GUI menus
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `CONFIGURE`
    `DEVELOP`
    `EDIT`
    `FILE`
    `HELP`
    `INFO_ABOUT`
    `OPTIONS`
    `TEST`
    `TOOLS`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEasMenu` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasMenu[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### TEST

          public static final TrEasMenu TEST

    - #### HELP

          public static final TrEasMenu HELP

    - #### TOOLS

          public static final TrEasMenu TOOLS

    - #### OPTIONS

          public static final TrEasMenu OPTIONS

    - #### ADMIN

          public static final TrEasMenu ADMIN

    - #### DEVELOP

          public static final TrEasMenu DEVELOP

    - #### EDIT

          public static final TrEasMenu EDIT

    - #### FILE

          public static final TrEasMenu FILE

    - #### INFO_ABOUT

          public static final TrEasMenu INFO_ABOUT

    - #### CONFIGURE

          public static final TrEasMenu CONFIGURE

  - ### Method Detail

    - #### values

          public static TrEasMenu[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasMenu c : TrEasMenu.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasMenu valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.